com.aspose.ocr

## Enum AdjustRotationMode

- java.lang.Object
- - java.lang.Enum<AdjustRotationMode>
  - - com.aspose.ocr.AdjustRotationMode

- All Implemented Interfaces:
    Serializable, Comparable<AdjustRotationMode>

      public enum AdjustRotationMode
      extends Enum<AdjustRotationMode>

  Define adjust rotation mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Automatic` Automatic detection of rotation.
    `Disabled` Without rotation.
    `UserDefined` User defined value of rotation angle.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AdjustRotationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AdjustRotationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Automatic

          public static final AdjustRotationMode Automatic

      Automatic detection of rotation.

    - #### Disabled

          public static final AdjustRotationMode Disabled

      Without rotation.

    - #### UserDefined

          public static final AdjustRotationMode UserDefined

      User defined value of rotation angle. Need set AdjustRotationAngle property.

  - ### Method Detail

    - #### valueOf

          public static AdjustRotationMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static AdjustRotationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AdjustRotationMode c : AdjustRotationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2014. All rights reserved.